/***************************************************************************
*
* Copyright 1997 by  the  Massachusetts Institute  of Technology.   All
* rights reserved.
*
* Developed  by the Perceptual Computing Section
* at the Media Laboratory, MIT, Cambridge, Massachusetts.
*
* Permission to use, copy,  or modify this software and  its documentation
* for  educational  and  research purposes only and without fee  is hereby
* granted, provided  that this copyright notice and the original authors's
* names appear  on all copies and supporting documentation.  If individual
* files are  separated from  this  distribution directory  structure, this
* copyright notice must be included.  For any other uses of this software,
* in original or  modified form, including but not limited to distribution
* in whole or in  part, specific  prior permission  must be  obtained from
* MIT.  These programs shall not  be  used, rewritten, or  adapted as  the
*   basis  of  a commercial  software  or  hardware product  without first
* obtaining appropriate licenses  from MIT.  MIT. makes no representations
* about the suitability of this  software for any purpose.  It is provided
* "as is" without express or implied warranty.
*
**************************************************************************/

///////////////////////////////////////////////////////////////////////////
// Filename	: ImgWnd.h
// Created	: Tuesday, June 17th, 1997
// Description: A virtual display class to display images.
// 
// by Nuria Oliver 1997, nuria@media.mit.edu
///////////////////////////////////////////////////////////////////////////
// Display.h : header file
//
#ifndef _DISPLAY_H
#define _DISPLAY_H

#include "VDib.h"
#include "UPoint.h"
#include <afxtempl.h>

/////////////////////////////////////////////////////////////////////////////
// CDisplay frame

class CDisplay
{

public:
	enum TVDibValidity {
        NEVER = 0,
        ONCE,
        ALWAYS
    };

public:
	static short	defaultBorderWidth;
	VDib			m_dib;
	CSize			m_size;
	TVDibValidity	m_bValidDib;


// Attributes
public:
	CDisplay();           // protected constructor used by dynamic creation - Why protected?

	virtual void Refresh() = 0;	
	virtual void SetEigPoints(TPointArray &arrEigPoint) {;}
	virtual void SetRect(CRect &rect) {;}
	virtual void AttachMemToDib(LPVOID bits, BOOL bAlwaysValid = FALSE);
	virtual BOOL Create(BITMAPINFO_8 &bmInfo, 
						BOOL bMatchScreen = TRUE);

// Operations
public:

	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDisplay)
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CDisplay();

};

/////////////////////////////////////////////////////////////////////////////

#endif