/***************************************************************************
*
* Copyright 1997 by  the  Massachusetts Institute  of Technology.   All
* rights reserved.
*
* Developed  by the Perceptual Computing Section
* at the Media Laboratory, MIT, Cambridge, Massachusetts.
*
* Permission to use, copy,  or modify this software and  its documentation
* for  educational  and  research purposes only and without fee  is hereby
* granted, provided  that this copyright notice and the original authors's
* names appear  on all copies and supporting documentation.  If individual
* files are  separated from  this  distribution directory  structure, this
* copyright notice must be included.  For any other uses of this software,
* in original or  modified form, including but not limited to distribution
* in whole or in  part, specific  prior permission  must be  obtained from
* MIT.  These programs shall not  be  used, rewritten, or  adapted as  the
*   basis  of  a commercial  software  or  hardware product  without first
* obtaining appropriate licenses  from MIT.  MIT. makes no representations
* about the suitability of this  software for any purpose.  It is provided
* "as is" without express or implied warranty.
*
**************************************************************************/

// DisplayDialog.cpp : implementation file
//

#include "stdafx.h"
#include "lafter.h"
#include "DisplayDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDisplayDialog dialog

CDisplayDialog::CDisplayDialog(CWnd* pParent /*=NULL*/,
							   int			id )
							   : CDialog(CDisplayDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDisplayDialog)
	// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	
	m_pDlg = NULL;
	m_nID = id;
}

CDisplayDialog::CDisplayDialog(CDialog* pDlg, 
							   int           id )
							   : CDialog(CDisplayDialog::IDD, pDlg)
{
	m_pDlg = pDlg;
	m_nID = id;
}


void CDisplayDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDisplayDialog)
	// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BOOL CDisplayDialog::Create( int nPixSize, int Width, int Height )
{
	
	BOOL		err = CDialog::Create(CDisplayDialog::IDD);
	
	// Call the static function of the VDib class to set the Screen Information
	VDib::setBitmapFormat();
	
	m_nWidth = Width;
	m_nHeight = Height;
	
	// Initialize standard BITMAPINFO_8 structure
	memset((void *)&m_stdBmInfo, 0, sizeof(m_stdBmInfo));
	m_stdBmInfo.bmiHeader.biSize			= sizeof(BITMAPINFOHEADER);
	m_stdBmInfo.bmiHeader.biWidth			= m_nWidth;
	m_stdBmInfo.bmiHeader.biHeight		= m_nHeight;
	m_stdBmInfo.bmiHeader.biPlanes		= 1;
	m_stdBmInfo.bmiHeader.biBitCount		= nPixSize;
	m_stdBmInfo.bmiHeader.biCompression	= BI_RGB;
    m_stdBmInfo.bmiHeader.biSizeImage		= 0;
    m_stdBmInfo.bmiHeader.biXPelsPerMeter = 0;
    m_stdBmInfo.bmiHeader.biYPelsPerMeter = 0;
    m_stdBmInfo.bmiHeader.biClrUsed		= 0;
    m_stdBmInfo.bmiHeader.biClrImportant	= 0;
	
	// Calculate the size of the image
	UINT wWidthBytes = (m_nWidth * nPixSize);
	wWidthBytes = ((wWidthBytes+31) & (~31))/ 8;
	
	m_stdBmInfo.bmiHeader.biSizeImage = wWidthBytes * abs ((int)m_stdBmInfo.bmiHeader.biHeight);
	
	return err;
}

void CDisplayDialog::CleanUp()
{
}

BEGIN_MESSAGE_MAP(CDisplayDialog, CDialog)
//{{AFX_MSG_MAP(CDisplayDialog)
ON_WM_CLOSE()
ON_WM_PAINT()
//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDisplayDialog message handlers

void CDisplayDialog::PostNcDestroy() 
{
	CleanUp();
	// TODO: Add your specialized code here and/or call the base class
	CDialog::PostNcDestroy();
}

void CDisplayDialog::OnClose() 
{
	// TODO: Add your message handler code here and/or call default
	m_pDlg->PostMessage(WM_DDGOODBYE, ID());
	//CDialog::OnClose();
}

void CDisplayDialog::OnPaint() 
{
	//CPaintDC dc(this); // device context for painting
	
	// TODO: Add your message handler code here
	RedrawWindow(NULL,NULL,RDW_INVALIDATE | RDW_UPDATENOW | RDW_ALLCHILDREN);
	// Do not call CDialog::OnPaint() for painting messages
}
