/***************************************************************************
*
* Copyright 1997 by  the  Massachusetts Institute  of Technology.   All
* rights reserved.
*
* Developed  by the Perceptual Computing Section
* at the Media Laboratory, MIT, Cambridge, Massachusetts.
*
* Permission to use, copy,  or modify this software and  its documentation
* for  educational  and  research purposes only and without fee  is hereby
* granted, provided  that this copyright notice and the original authors's
* names appear  on all copies and supporting documentation.  If individual
* files are  separated from  this  distribution directory  structure, this
* copyright notice must be included.  For any other uses of this software,
* in original or  modified form, including but not limited to distribution
* in whole or in  part, specific  prior permission  must be  obtained from
* MIT.  These programs shall not  be  used, rewritten, or  adapted as  the
*   basis  of  a commercial  software  or  hardware product  without first
* obtaining appropriate licenses  from MIT.  MIT. makes no representations
* about the suitability of this  software for any purpose.  It is provided
* "as is" without express or implied warranty.
*
**************************************************************************/

// File       : UBitMap.cpp

// Creation   : 18 feb 1996
// Goal       : defines the TBitMap class, see "UBitMap.h"
//
// Author     : N. OLIVER
// Tab        : none

// unit include
//  Nuria Oliver 1997, nuria@media.mit.edu


#include "stdafx.h"
#include "UBitMap.h"


void TBitMap::Init(const BITMAPINFO_8 &bmInfo)
{
	VDib::Create(bmInfo, FALSE);
	m_nLineOffset = (bmInfo.bmiHeader.biSizeImage/Height());
	if (m_pBuf)
		delete m_pBuf;
	m_pBuf = new BYTE[bmInfo.bmiHeader.biSizeImage];
	ASSERT(m_pBuf);
	
	AttachMemory(m_pBuf, FALSE);
}

void TBitMap::Dispose()
{
	if (m_pBuf)
		delete m_pBuf;
	m_pBuf = 0;
}
