/***************************************************************************
*
* Copyright 1997 by  the  Massachusetts Institute  of Technology.   All
* rights reserved.
*
* Developed  by the Perceptual Computing Section
* at the Media Laboratory, MIT, Cambridge, Massachusetts.
*
* Permission to use, copy,  or modify this software and  its documentation
* for  educational  and  research purposes only and without fee  is hereby
* granted, provided  that this copyright notice and the original authors's
* names appear  on all copies and supporting documentation.  If individual
* files are  separated from  this  distribution directory  structure, this
* copyright notice must be included.  For any other uses of this software,
* in original or  modified form, including but not limited to distribution
* in whole or in  part, specific  prior permission  must be  obtained from
* MIT.  These programs shall not  be  used, rewritten, or  adapted as  the
*   basis  of  a commercial  software  or  hardware product  without first
* obtaining appropriate licenses  from MIT.  MIT. makes no representations
* about the suitability of this  software for any purpose.  It is provided
* "as is" without express or implied warranty.
*
**************************************************************************/

//
//           File : UErrors.h
//           Date : 07/95
//           Goal : Definition of miscelanous error numbers and 
//                      other units error number ranges
//
//    Main modifs :
//

#ifndef __Errors__
#define __Errors__


typedef short                         ErrorNumber;


//
//    StringError
//
// "StringError" returns a pointer to a string that explains the error
// code <err>.

char* ErrorString (ErrorNumber err);
ErrorNumber RegisterErrorString (ErrorNumber err, char* str);



// Miscellanous           errors ranges from 0 to 1000
static const ErrorNumber  kErrNoErr         = 0;  // No error
static const ErrorNumber  kErrUnknown       = 1;  // Unknown error
static const ErrorNumber  kErrMemFull       = 2;  // Memory full error
static const ErrorNumber  kErrBadParams     = 3;  // Bad parameters for the call
static const ErrorNumber  kErrFileErr       = 4;  // FileSystem error
static const ErrorNumber  kErrNoMoreProcess = 5;  // Could not fork
static const ErrorNumber  kErrIOErr         = 6;  // IO device error
static const ErrorNumber  kErrSingularity   = 7;  // Singularity in computation
static const ErrorNumber  kErrNoImpl        = 8;  // Not Implemented
static const ErrorNumber  kErrRegErr        = 9;  // Cannot register new error

// Sound                  errors ranges from 1000 to 1019
// SoundHardware          errors ranges from 1020 to 1039
// TBitMapSpec            errors ranges from 1040 to 1059
// TGrabber               errors ranges from 1910 to 1929
// TSemaphore             errors ranges from 1930 to 1939
// TMovie                 errors ranges from 1940 to 1949
// TMovieRecorder         errors ranges from 1950 to 1959
// driveCam               errors ranges from 1960 to 1969
// serial                 errors ranges from 1970 to 1979

// TVLGrabber             errors ranges from 10910 to 10929

#endif
