/***************************************************************************
*
* Copyright 1997 by  the  Massachusetts Institute  of Technology.   All
* rights reserved.
*
* Developed  by the Perceptual Computing Section
* at the Media Laboratory, MIT, Cambridge, Massachusetts.
*
* Permission to use, copy,  or modify this software and  its documentation
* for  educational  and  research purposes only and without fee  is hereby
* granted, provided  that this copyright notice and the original authors's
* names appear  on all copies and supporting documentation.  If individual
* files are  separated from  this  distribution directory  structure, this
* copyright notice must be included.  For any other uses of this software,
* in original or  modified form, including but not limited to distribution
* in whole or in  part, specific  prior permission  must be  obtained from
* MIT.  These programs shall not  be  used, rewritten, or  adapted as  the
*   basis  of  a commercial  software  or  hardware product  without first
* obtaining appropriate licenses  from MIT.  MIT. makes no representations
* about the suitability of this  software for any purpose.  It is provided
* "as is" without express or implied warranty.
*
**************************************************************************/

///////////////////////////////////////////////////////////////////////////
// Filename	: VDib.h
// Created	: Thursday, June 13th, 1997
// Description: The Dib Class.
// 
//  Vasanth Philomin 1997, vasi@cs.umd.edu
///////////////////////////////////////////////////////////////////////////

#ifndef _VDIB_H
#define _VDIB_H

#include "VDibBase.h"

class VDib	: public VDibBase	{
public:
	const RGBQUAD * ColorTableAddress() const	{ return m_bmHeader.ColorTable(); }
	VDib()	: VDibBase()	{ }
	BOOL Create(const BITMAPINFO_8 &bmInfo, BOOL bMatchScreen = TRUE);
	static void setBitmapFormat();
	void Draw (CDC* pDC, UINT x, UINT y);
protected:
	static int GetNumClrTableEntries(const BITMAPINFO* pBmpInfo);
	static BITMAPINFO_8	s_bmScreen;
};

#endif