/***************************************************************************
*
* Copyright 1997 by  the  Massachusetts Institute  of Technology.   All
* rights reserved.
*
* Developed  by the Perceptual Computing Section
* at the Media Laboratory, MIT, Cambridge, Massachusetts.
*
* Permission to use, copy,  or modify this software and  its documentation
* for  educational  and  research purposes only and without fee  is hereby
* granted, provided  that this copyright notice and the original authors's
* names appear  on all copies and supporting documentation.  If individual
* files are  separated from  this  distribution directory  structure, this
* copyright notice must be included.  For any other uses of this software,
* in original or  modified form, including but not limited to distribution
* in whole or in  part, specific  prior permission  must be  obtained from
* MIT.  These programs shall not  be  used, rewritten, or  adapted as  the
*   basis  of  a commercial  software  or  hardware product  without first
* obtaining appropriate licenses  from MIT.  MIT. makes no representations
* about the suitability of this  software for any purpose.  It is provided
* "as is" without express or implied warranty.
*
**************************************************************************/

///////////////////////////////////////////////////////////////////////////
// Filename	: VTimer.cpp
// Created	: Tuesday, May 20th, 1997
// Description: Implementation of the Timer routines
// 
//  Vasanth Philomin 1997, vasi@cs.umd.edu
///////////////////////////////////////////////////////////////////////////

#include "stdAfx.h"
#include "VTimer.h"

CVTimer::CVTimer()
{
	Reset();	// Reset the clock
	running = FALSE;	// Indicate that timer is not running
}

void CVTimer::Reset()
{
	elapsed_time = 0;
    time0 = timeGetTime();
}

void CVTimer::Start()
{
    if (running) // nop
    {
    }
    else // Start
    {
        running = 1;
        time0 = timeGetTime();
    }
}

void CVTimer::Stop()
{
    if (running) // Stop
    {
        running = 0;
        elapsed_time += timeGetTime() - time0;
    }
    else // nop
    {
    }
}

DWORD CVTimer::Time()
{
	if (running)
    {
        return elapsed_time + timeGetTime() - time0;
    }
    else
        return elapsed_time; 
}
